import _mergeJSXProps from "@vue/babel-helper-vue-jsx-merge-props";
import "core-js/modules/es.function.name.js";
import { defineComponent, h } from 'vue-demi';
import { CirclePacking } from '@antv/g2plot';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var CirclePackingChart = defineComponent({
  name: 'CirclePackingChart',
  setup: function setup(props, ctx) {
    return function () {
      return h(BaseChart, _mergeJSXProps([{
        "attrs": {
          "chart": CirclePacking
        }
      }, mergeAttrs(props, ctx.attrs)]));
    };
  }
});

/* istanbul ignore next */
CirclePackingChart.install = function (app) {
  app.component(CirclePackingChart.name, CirclePackingChart);
};
export default CirclePackingChart;