import { DualAxesOptions } from '@antv/g2plot';
import { BaseChartProps } from '../../components/base';
import { Writeable } from '../../types';
export type DualAxesChartProps = Writeable<Omit<BaseChartProps<DualAxesOptions>, 'chart' | 'data'> & DualAxesOptions>;
declare const DualAxesChart: import("vue").ComponentOptionsBase<Vue$1, import("@vue/composition-api").ShallowUnwrapRef<Writeable<Omit<BaseChartProps<DualAxesOptions>, "chart" | "data"> & Omit<import("@antv/g2plot").Options, "data" | "color" | "yAxis" | "annotations"> & {
    readonly data: Record<string, any>[][];
    readonly xField: string;
    readonly yField: string[];
    readonly yAxis?: (import("@antv/g2plot").Axis | undefined)[] | Record<string, import("@antv/g2plot").Axis | undefined> | undefined;
    readonly geometryOptions?: import("@antv/g2plot/lib/plots/dual-axes/types").GeometryOption[] | undefined;
    readonly annotations?: (import("@antv/g2plot").Annotation[] | undefined)[] | Record<string, import("@antv/g2plot").Annotation[] | undefined> | undefined;
}>> & import("@vue/composition-api").Data, {}, {}, {}, import("@vue/composition-api").ExtractPropTypes<{}>, any, any, string, any, {}, string, {}> & ThisType<import("vue").CreateComponentPublicInstance<{}, import("@vue/composition-api").ShallowUnwrapRef<Writeable<Omit<BaseChartProps<DualAxesOptions>, "chart" | "data"> & Omit<import("@antv/g2plot").Options, "data" | "color" | "yAxis" | "annotations"> & {
    readonly data: Record<string, any>[][];
    readonly xField: string;
    readonly yField: string[];
    readonly yAxis?: (import("@antv/g2plot").Axis | undefined)[] | Record<string, import("@antv/g2plot").Axis | undefined> | undefined;
    readonly geometryOptions?: import("@antv/g2plot/lib/plots/dual-axes/types").GeometryOption[] | undefined;
    readonly annotations?: (import("@antv/g2plot").Annotation[] | undefined)[] | Record<string, import("@antv/g2plot").Annotation[] | undefined> | undefined;
}>> & import("@vue/composition-api").Data, {}, {}, {}, import("@vue/composition-api").ExtractPropTypes<{}>, any, any, Vue$1, {}, false, {}, {}, {
    P: {};
    B: {};
    D: {};
    C: {};
    M: {};
    Defaults: {};
} & {
    P: {};
    B: {};
    D: {};
    C: import("vue").ComputedOptions;
    M: import("vue").MethodOptions;
    Defaults: {};
}, {}, import("@vue/composition-api").ShallowUnwrapRef<Writeable<Omit<BaseChartProps<DualAxesOptions>, "chart" | "data"> & Omit<import("@antv/g2plot").Options, "data" | "color" | "yAxis" | "annotations"> & {
    readonly data: Record<string, any>[][];
    readonly xField: string;
    readonly yField: string[];
    readonly yAxis?: (import("@antv/g2plot").Axis | undefined)[] | Record<string, import("@antv/g2plot").Axis | undefined> | undefined;
    readonly geometryOptions?: import("@antv/g2plot/lib/plots/dual-axes/types").GeometryOption[] | undefined;
    readonly annotations?: (import("@antv/g2plot").Annotation[] | undefined)[] | Record<string, import("@antv/g2plot").Annotation[] | undefined> | undefined;
}>> & import("@vue/composition-api").Data, {}, import("vue").ComputedOptions, import("vue").MethodOptions, {}>> & Omit<VueConstructor, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{} & {}, import("@vue/composition-api").ShallowUnwrapRef<Writeable<Omit<BaseChartProps<DualAxesOptions>, "chart" | "data"> & Omit<import("@antv/g2plot").Options, "data" | "color" | "yAxis" | "annotations"> & {
    readonly data: Record<string, any>[][];
    readonly xField: string;
    readonly yField: string[];
    readonly yAxis?: (import("@antv/g2plot").Axis | undefined)[] | Record<string, import("@antv/g2plot").Axis | undefined> | undefined;
    readonly geometryOptions?: import("@antv/g2plot/lib/plots/dual-axes/types").GeometryOption[] | undefined;
    readonly annotations?: (import("@antv/g2plot").Annotation[] | undefined)[] | Record<string, import("@antv/g2plot").Annotation[] | undefined> | undefined;
}>>, import("@vue/composition-api").Data, {}, {}, {}, {}, {}, {} & {}, {}, true>);
export default DualAxesChart;
