import _mergeJSXProps from "@vue/babel-helper-vue-jsx-merge-props";
import "core-js/modules/es.function.name.js";
import { defineComponent, h } from 'vue-demi';
import { Gauge } from '@antv/g2plot';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var GaugeChart = defineComponent({
  name: 'GaugeChart',
  setup: function setup(props, ctx) {
    return function () {
      return h(BaseChart, _mergeJSXProps([{
        "attrs": {
          "chart": Gauge
        }
      }, mergeAttrs(props, ctx.attrs)]));
    };
  }
});

/* istanbul ignore next */
GaugeChart.install = function (app) {
  app.component(GaugeChart.name, GaugeChart);
};
export default GaugeChart;