"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _vue = require("vue");
require("core-js/modules/es.function.name.js");
var _vueDemi = require("vue-demi");
var _g2plot = require("@antv/g2plot");
var _base = _interopRequireDefault(require("../../components/base"));
var _utils = require("../../utils");
var FunnelChart = (0, _vueDemi.defineComponent)({
  name: 'FunnelChart',
  setup: function setup(props, ctx) {
    return function () {
      return (0, _vue.createVNode)(_base.default, (0, _vue.mergeProps)({
        "chart": _g2plot.Funnel
      }, (0, _utils.mergeAttrs)(props, ctx.attrs)), null);
    };
  }
});

/* istanbul ignore next */
FunnelChart.install = function (app) {
  app.component(FunnelChart.name, FunnelChart);
};
var _default = exports.default = FunnelChart;