"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
require("core-js/modules/es.function.name.js");
var _babelHelperVueJsxMergeProps = _interopRequireDefault(require("@vue/babel-helper-vue-jsx-merge-props"));
var _vueDemi = require("vue-demi");
var _g2plot = require("@antv/g2plot");
var _base = _interopRequireDefault(require("../../components/base"));
var _utils = require("../../utils");
var CirclePackingChart = (0, _vueDemi.defineComponent)({
  name: 'CirclePackingChart',
  setup: function setup(props, ctx) {
    return function () {
      return (0, _vueDemi.h)(_base.default, (0, _babelHelperVueJsxMergeProps.default)([{
        "attrs": {
          "chart": _g2plot.CirclePacking
        }
      }, (0, _utils.mergeAttrs)(props, ctx.attrs)]));
    };
  }
});

/* istanbul ignore next */
CirclePackingChart.install = function (app) {
  app.component(CirclePackingChart.name, CirclePackingChart);
};
var _default = exports.default = CirclePackingChart;