import { DualAxesOptions } from '@antv/g2plot';
import { BaseChartProps } from '../../components/base';
import { Writeable } from '../../types';
export type DualAxesChartProps = Writeable<Omit<BaseChartProps<DualAxesOptions>, 'chart' | 'data'> & DualAxesOptions>;
declare const DualAxesChart: import("vue-demi").DefineComponent<Writeable<Omit<BaseChartProps<DualAxesOptions>, "chart" | "data"> & Omit<import("@antv/g2plot").Options, "data" | "color" | "yAxis" | "annotations"> & {
    readonly data: Record<string, any>[][];
    readonly xField: string;
    readonly yField: string[];
    readonly yAxis?: (import("@antv/g2plot").Axis | undefined)[] | Record<string, import("@antv/g2plot").Axis | undefined> | undefined;
    readonly geometryOptions?: import("@antv/g2plot/lib/plots/dual-axes/types").GeometryOption[] | undefined;
    readonly annotations?: (import("@antv/g2plot").Annotation[] | undefined)[] | Record<string, import("@antv/g2plot").Annotation[] | undefined> | undefined;
}>, {}, {}, {}, {}, import("vue-demi").ComponentOptionsMixin, import("vue-demi").ComponentOptionsMixin, {}, string, import("vue-demi").PublicProps, Readonly<Writeable<Omit<BaseChartProps<DualAxesOptions>, "chart" | "data"> & Omit<import("@antv/g2plot").Options, "data" | "color" | "yAxis" | "annotations"> & {
    readonly data: Record<string, any>[][];
    readonly xField: string;
    readonly yField: string[];
    readonly yAxis?: (import("@antv/g2plot").Axis | undefined)[] | Record<string, import("@antv/g2plot").Axis | undefined> | undefined;
    readonly geometryOptions?: import("@antv/g2plot/lib/plots/dual-axes/types").GeometryOption[] | undefined;
    readonly annotations?: (import("@antv/g2plot").Annotation[] | undefined)[] | Record<string, import("@antv/g2plot").Annotation[] | undefined> | undefined;
}>>, {
    class?: any;
}, {}>;
export default DualAxesChart;
