import _mergeJSXProps from "@vue/babel-helper-vue-jsx-merge-props";
import "core-js/modules/es.function.name.js";
import { defineComponent, h } from 'vue-demi';
import { Mix } from '@antv/g2plot';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
/**
 * @deprecated use `MixChart` instead
 */
var MultiViewChart = defineComponent({
  name: 'MultiViewChart',
  setup: function setup(props, ctx) {
    return function () {
      return h(BaseChart, _mergeJSXProps([{
        "attrs": {
          "chart": Mix
        }
      }, mergeAttrs(props, ctx.attrs)]));
    };
  }
});

/* istanbul ignore next */
MultiViewChart.install = function (app) {
  app.component(MultiViewChart.name, MultiViewChart);
};
export default MultiViewChart;