import _objectSpread from "@babel/runtime/helpers/esm/objectSpread2";
import { isVue3 } from 'vue-demi';

/**
 * compatible merge attrs
 * @param props props
 * @param attrs attrs
 * @returns merged attrs
 */
export var mergeAttrs = function mergeAttrs(props, attrs) {
  /* istanbul ignore else */
  if (isVue3) {
    return _objectSpread(_objectSpread({}, attrs), props);
  } else {
    return {
      attrs: _objectSpread(_objectSpread({}, attrs), props)
    };
  }
};